# $Revision: 1.10 $, $Date: 2005/11/02 09:24:28 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PadWalker
Summary:	PadWalker - play with other peoples' lexical variables
Summary(pl):	PadWalker - igranie z cudzymi zmiennymi leksykalnymi
Name:		perl-PadWalker
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
# Source0-md5:	5ab7dbeed9241d4f5e2dce8a45e99b1f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PadWalker is a Perl module which allows you to inspect (and even
change!) lexical variables in any subroutine which called you. It will
only show those variables which are in scope at the point of the call.

%description -l pl
PadWalker jest moduem Perla umoliwiajcym przegldanie (a nawet
modyfikacje!) zmiennych leksykalnych w dowolnej wywoanej funkcji.
Pokazuje on tylko te zmienne, ktrych zasig obejmuje miejsce
wywoania.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/%{pdir}
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/*.so
%{perl_vendorarch}/auto/%{pdir}/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PadWalker.spec,v $
Revision 1.10  2005/11/02 09:24:28  czucz
- updated to 0.13

Revision 1.9  2004/11/03 22:30:39  paladine
- formatting

Revision 1.8  2004/05/06 18:20:54  ankry
- fixed perl-devel BR

Revision 1.7  2004/05/05 11:02:13  ankry
- cosmetics

Revision 1.6  2004/04/22 18:58:31  agaran
new bconds

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.3  2003/08/21 19:22:07  ankry
- pl translations

Revision 1.2  2003/08/21 16:18:00  radek
- fixed Source0 URL

Revision 1.1  2003/08/21 13:21:25  radek
- new
